<bugID>882910<Summary>toolbarbutton's icon doesn't have a max height</Summary><Description>Created attachment 762306
Addon icon 32x32 added as toolbarbutton icon

This is partially related to bug Bug 879163.

In Jetpack we want to provide an API where the add-on developer can set a different set of icons for the add-on (both for navbar and panel area, plus the high density display); but we want to leave also the capability to set just an icon where the icon is scaled (e.g. set just 16x16 pixel icon will result in a "pixelate" icon on panel).

Unfortunately, xul:image on toolbarbutton doesn't have a max height, it means that setting a 32x32 image as icon will results in 16x32 icon, where the icon will exceeds the edge of the button &#8211; see the attachment.

At the moment I'm registering a stylesheet at runtime, but it should be fixed properly on Firefox side.</Description></bugID>